LINUX.ORG.RU

Сборка KDE3 под Debian Squeeze


0

1

Собственно, сабж. Скачал все пакеты с ftp://ftp.kde.org/pub/kde/stable/3.5.10/src/ , выставил зависимости, сборку начинаю с пакета arts (т.к kdelibs его требует), конфигурирование проходит успешно, а сборка выводит ошибку:

/bin/bash ../libtool --silent --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I.. -I../artsc -I../libltdl -I/usr/local/kde/include -I/usr/share/qt3/include -I.  -I../libltdl -DEXTENSION_DIR='"/usr/local/kde/lib"' -DTRADER_DIR='"/usr/local/kde/lib/mcop"' -DQT_THREAD_SUPPORT  -D_REENTRANT -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common  -ftemplate-depth-99  -MT mcoputils.lo -MD -MP -MF .deps/mcoputils.Tpo -c -o mcoputils.lo mcoputils.cc
mcoputils.cc: In function 'char* locate_mcop_dir()':
mcoputils.cc:74: error: 'PATH_MAX' was not declared in this scope
mcoputils.cc:91: error: 'kde_tmp_dir' was not declared in this scope
mcoputils.cc:100: error: 'user_tmp_dir' was not declared in this scope
mcoputils.cc: In function 'int build_link(const char*, const char*)':
mcoputils.cc:227: error: 'PATH_MAX' was not declared in this scope
mcoputils.cc:236: error: 'kde_tmp_dir' was not declared in this scope
mcoputils.cc:245: error: 'user_tmp_dir' was not declared in this scope
mcoputils.cc:321: error: 'tmp_buf' was not declared in this scope
mcoputils.cc: In static member function 'static std::string Arts::MCOPUtils::createFilePath(std::string)':
mcoputils.cc:367: error: 'PATH_MAX' was not declared in this scope
mcoputils.cc:368: error: 'tmp_prefix' was not declared in this scope
make[3]: *** [mcoputils.lo] Ошибка 1

Что это и как с этим бороться?

P.S. Если надо, могу кинуть config.log, только скажите куда).


Ответ на: комментарий от AITap

Спасибо за совет, так наверное и сделаю, а всё-таки интересно, в чём же проблема. Причём проблема, думаю, не только моя, так как до этого, из-под убунты была та же проблема.

lmtea ()

Я собирал без arts, проблема проявляется у меня тоже. arts это такая программа, которая позволяет через OSS использовать два или больше звуковых устройства. Он монопольно подсоединяется к OSS и даёт подключиться к себе нескольким программам, которые должны его поддерживать. После появления ALSA Arts стал неактуален, и даже в дистрибутивах с KDE 3 его может не быть.

ZenitharChampion ★★★★★ ()

aptitude install arts Следующие НОВЫЕ пакеты будут установлены: arts libarts1c2a{a} libartsc0{a} libqt3-mt{a} oss-compat{a} 0 пакетов обновлено, 5 установлено новых, 0 пакетов отмечено для удаления, и 3 пакетов не обновлено. Необходимо получить 3 426 kB/4 545 kB архивов. После распаковки 12,9 MB будет занято. Хотите продолжить? [Y/n/?]

anonymous ()
Ответ на: комментарий от ZenitharChampion

Попробовал собрать с ключом --without-arts.Долго компилировал kdelibs, в итоге выдал:

/bin/bash ../../libtool --silent --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../.. -I../../dcop -I../../kdecore -I../../kio/kssl -I../../kjs -I../../dcop -I../../libltdl -I../../kdefx -I../../kdecore -I../../kdecore -I../../kdecore/network -I../../kdeui -I../../kio -I../../kio/kio -I../../kio/kfile -I../.. -I/usr/share/qt3/include -I. -I/usr/local/kde/include   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common  -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -MT ftp.lo -MD -MP -MF .deps/ftp.Tpo -c -o ftp.lo ftp.cc
In file included from ftp.cc:58:
../../kio/kio/kmimemagic.h:156: warning: 'KMimeMagicResult' is deprecated (declared at ../../kio/kio/kmimemagic.h:47)
../../kio/kio/kmimemagic.h:170: warning: 'KMimeMagicResult' is deprecated (declared at ../../kio/kio/kmimemagic.h:47)
../../kio/kio/kmimemagic.h:186: warning: 'KMimeMagicResult' is deprecated (declared at ../../kio/kio/kmimemagic.h:47)
../../kio/kio/kmimemagic.h:191: warning: 'KMimeMagic' is deprecated (declared at ../../kio/kio/kmimemagic.h:102)
../../kio/kio/kmimemagic.h:197: warning: 'KMimeMagicResult' is deprecated (declared at ../../kio/kio/kmimemagic.h:47)
../../kio/kio/kmimemagic.h:200: warning: 'KMimeMagic' is deprecated (declared at ../../kio/kio/kmimemagic.h:102)
ftp.cc: In member function 'int Ftp::ftpOpenPASVDataConnection()':
ftp.cc:879: error: invalid conversion from 'const char*' to 'char*'
ftp.cc:881: error: invalid conversion from 'const char*' to 'char*'
ftp.cc: In member function 'int Ftp::ftpOpenEPSVDataConnection()':
ftp.cc:934: error: invalid conversion from 'const char*' to 'char*'
ftp.cc: In member function 'Ftp::StatusCode Ftp::ftpGet(int&, int, const KURL&, KIO::fileoffset_t)':
ftp.cc:2084: warning: 'KMimeMagicResult' is deprecated (declared at ../../kio/kio/kmimemagic.h:47)
make[3]: *** [ftp.lo] Ошибка 1

В чём проблема?

lmtea ()
Ответ на: комментарий от lmtea

Для 4-х нет arts и DCOP. По проблеме: наверное, зависимость какая-то не удовлетворена, Предлагаю поиск.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от lmtea

libqt3-mt же, какие четвёртые. В дебиан собрать кде3 сложнее будет чем из реп поставить, там сборочные зависимости из лени. С аптитуд только немного повозиться придётся

anonymous ()

Ох и много же у тебя будет проблем, если ты ванильные кеды ставить собрался. Они не совместимы с современным GCC, c современными либами, даже с современным ядром. Тебе понадобятся сотни патчей, чтобы собрать это.

Nxx ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

> Не сотни, по моей ссылке их штук 5. Насчёт современного ядра - это невозможно

По твоей ссылке патчи только на один пакет и еще не известно, как он после сборки работает.

Чисто для сравнения: https://build.opensuse.org/package/files?package=kdelibs3&project=KDE%3AKDE3

Насчёт современного ядра - это невозможно

Что именно невозможно?

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

Что из-за обновления ядра KDE 3 не работает. У меня есть старый openSuSE 10.2, где ядро 2.6.18 было обновлено мной сначала до 2.6.28, потом до 2.6.38. И ничего. kdesu работает. Остальное тоже.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Кроме того, в других пакетах, в частности, в kdemultimedia3, надо менять хедеры linux/videodev.h на libv4l1-videodev.h так как данную функциональность перенесли в отдельную библиотеку из ядра. Это затрагивает довольно много пакетов. Но это в самых последних ядрах.

Nxx ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

В общем, как видишь, к пакету kdelibs3 приложено 111 файлов. Из них 2 - это спеки и один - тарбол с ванильными исходниками. Значит, 108 - это патчи и тарболы с модифицированными исходниками.

К пакету kdebase3 приложено 156 файлов, из них 1 спек и 1 тарбол с исходниками. Значит, 154 - это патчи и тарболы/отдельные файлы с модифицированными исходниками.

Nxx ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Всего в репозитории 438 пакетов с исходниками, в каждом из них есть как минимум по одному патчу (обычно гораздо больше).

Nxx ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

> Уверен, в openSuSE добавлены патчи из Trinity.

Я только на knetworkmanager патч из Trinity добавлял (точнее, не из Trinity, а из Gentoo, откуда оно и в Trinity попало). Больше из Trinity там патчей нет.

Nxx ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

А вот в Trinity наши патчи часто берут, но, конечно, не все несколько тысяч (у них и пакетов-то гораздо меньше).

Nxx ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

> Самый дружелюбный к KDE 3 дистрибутив

В принципе coolo говорил, что он не против вернуть KDE3 в релиз. Да только вот из релиза выкинули hal, а без него KDE3 нормальным образом работать не умеет.

Nxx ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.